# Gimp.Image.prototype.set_component_visible

    function set_component_visible(component: Gimp.ChannelType, visible: Boolean): Boolean {
        // Gjs wrapper for gimp_image_set_component_visible()
    }

Sets if the specified image's image component is visible.

This procedure sets if the specified image's image component (i.e. Red, Green, Blue intensity channels in an RGB image) is visible or invisible -- whether or not it can be seen. If the specified component is not valid for the image type, an error is returned.

component

  The image component.

visible

  Component is visible.

Returns

  TRUE on success.